PATCH https://api.ap1.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.ap2.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.datadoghq.eu/api/v2/integration/opsgenie/accounts/{account_id} https://api.ddog-gov.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.us2.ddog-gov.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.uk1.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.us3.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} https://api.us5.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id}
Información general Update a single Opsgenie account in the Datadog Opsgenie integration.
This endpoint requires the manage_integrations permission.
Argumentos Parámetros de ruta The UUID of the Opsgenie account.
Solicitud Body Data (required) Opsgenie account payload.
Expand All
Opsgenie account data for an update request.
The Opsgenie account attributes for an update request.
The Opsgenie API key for your Opsgenie account.
The region for the Opsgenie service.
Allowed enum values: us,eu,custom
The ID of the Opsgenie account.
Opsgenie account resource type.
Allowed enum values: opsgenie-account
default: opsgenie-account
{
"data" : {
"attributes" : {
"api_key" : "00000000-0000-0000-0000-000000000000" ,
"region" : "us"
},
"id" : "596da4af-0563-4097-90ff-07230c3f9db3" ,
"type" : "opsgenie-account"
}
} Respuesta OK
Response containing an Opsgenie account.
Expand All
Opsgenie account data from a response.
The attributes from an Opsgenie account response.
The region for the Opsgenie service.
Allowed enum values: us,eu,custom
The ID of the Opsgenie account.
Opsgenie account resource type.
Allowed enum values: opsgenie-account
default: opsgenie-account
{
"data" : {
"attributes" : {
"region" : "us"
},
"id" : "596da4af-0563-4097-90ff-07230c3f9db3" ,
"type" : "opsgenie-account"
}
} Bad Request
{
"errors" : [
"Bad Request"
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} The server cannot process the request because it contains invalid data.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Ejemplo de código Copia
## default
#
# Path parameters export account_id = "CHANGE_ME" # Curl command curl -X PATCH "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/integration/opsgenie/accounts/${account_id} " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"api_key": "00000000-0000-0000-0000-000000000000",
"region": "us"
},
"id": "596da4af-0563-4097-90ff-07230c3f9db3",
"type": "opsgenie-account"
}
}
EOF
"""
Update an Opsgenie account returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.opsgenie_integration_api import OpsgenieIntegrationApi
from datadog_api_client.v2.model.opsgenie_account_type import OpsgenieAccountType
from datadog_api_client.v2.model.opsgenie_account_update_attributes import OpsgenieAccountUpdateAttributes
from datadog_api_client.v2.model.opsgenie_account_update_data import OpsgenieAccountUpdateData
from datadog_api_client.v2.model.opsgenie_account_update_request import OpsgenieAccountUpdateRequest
from datadog_api_client.v2.model.opsgenie_service_region_type import OpsgenieServiceRegionType
body = OpsgenieAccountUpdateRequest (
data = OpsgenieAccountUpdateData (
attributes = OpsgenieAccountUpdateAttributes (
api_key = "00000000-0000-0000-0000-000000000000" ,
region = OpsgenieServiceRegionType . US ,
),
id = "596da4af-0563-4097-90ff-07230c3f9db3" ,
type = OpsgenieAccountType . OPSGENIE_ACCOUNT ,
),
)
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = OpsgenieIntegrationApi ( api_client )
response = api_instance . update_opsgenie_account ( account_id = "account_id" , body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Update an Opsgenie account returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: OpsgenieIntegrationAPI . new
body = DatadogAPIClient :: V2 :: OpsgenieAccountUpdateRequest . new ({
data : DatadogAPIClient :: V2 :: OpsgenieAccountUpdateData . new ({
attributes : DatadogAPIClient :: V2 :: OpsgenieAccountUpdateAttributes . new ({
api_key : "00000000-0000-0000-0000-000000000000" ,
region : DatadogAPIClient :: V2 :: OpsgenieServiceRegionType :: US ,
}),
id : "596da4af-0563-4097-90ff-07230c3f9db3" ,
type : DatadogAPIClient :: V2 :: OpsgenieAccountType :: OPSGENIE_ACCOUNT ,
}),
})
p api_instance . update_opsgenie_account ( "account_id" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Update an Opsgenie account returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . OpsgenieAccountUpdateRequest {
Data : datadogV2 . OpsgenieAccountUpdateData {
Attributes : datadogV2 . OpsgenieAccountUpdateAttributes {
ApiKey : datadog . PtrString ( "00000000-0000-0000-0000-000000000000" ),
Region : datadogV2 . OPSGENIESERVICEREGIONTYPE_US . Ptr (),
},
Id : "596da4af-0563-4097-90ff-07230c3f9db3" ,
Type : datadogV2 . OPSGENIEACCOUNTTYPE_OPSGENIE_ACCOUNT ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewOpsgenieIntegrationApi ( apiClient )
resp , r , err := api . UpdateOpsgenieAccount ( ctx , "account_id" , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `OpsgenieIntegrationApi.UpdateOpsgenieAccount`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `OpsgenieIntegrationApi.UpdateOpsgenieAccount`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Update an Opsgenie account returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.OpsgenieIntegrationApi ;
import com.datadog.api.client.v2.model.OpsgenieAccountResponse ;
import com.datadog.api.client.v2.model.OpsgenieAccountType ;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateAttributes ;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateData ;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateRequest ;
import com.datadog.api.client.v2.model.OpsgenieServiceRegionType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
OpsgenieIntegrationApi apiInstance = new OpsgenieIntegrationApi ( defaultClient );
OpsgenieAccountUpdateRequest body =
new OpsgenieAccountUpdateRequest ()
. data (
new OpsgenieAccountUpdateData ()
. attributes (
new OpsgenieAccountUpdateAttributes ()
. apiKey ( "00000000-0000-0000-0000-000000000000" )
. region ( OpsgenieServiceRegionType . US ))
. id ( "596da4af-0563-4097-90ff-07230c3f9db3" )
. type ( OpsgenieAccountType . OPSGENIE_ACCOUNT ));
try {
OpsgenieAccountResponse result = apiInstance . updateOpsgenieAccount ( "account_id" , body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling OpsgenieIntegrationApi#updateOpsgenieAccount" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Update an Opsgenie account returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_opsgenie_integration ::OpsgenieIntegrationAPI ;
use datadog_api_client ::datadogV2 ::model ::OpsgenieAccountType ;
use datadog_api_client ::datadogV2 ::model ::OpsgenieAccountUpdateAttributes ;
use datadog_api_client ::datadogV2 ::model ::OpsgenieAccountUpdateData ;
use datadog_api_client ::datadogV2 ::model ::OpsgenieAccountUpdateRequest ;
use datadog_api_client ::datadogV2 ::model ::OpsgenieServiceRegionType ;
#[tokio::main]
async fn main () {
let body = OpsgenieAccountUpdateRequest ::new ( OpsgenieAccountUpdateData ::new (
OpsgenieAccountUpdateAttributes ::new ()
. api_key ( "00000000-0000-0000-0000-000000000000" . to_string ())
. region ( OpsgenieServiceRegionType ::US ),
"596da4af-0563-4097-90ff-07230c3f9db3" . to_string (),
OpsgenieAccountType ::OPSGENIE_ACCOUNT ,
));
let configuration = datadog ::Configuration ::new ();
let api = OpsgenieIntegrationAPI ::with_config ( configuration );
let resp = api
. update_opsgenie_account ( "account_id" . to_string (), body )
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Update an Opsgenie account returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . OpsgenieIntegrationApi ( configuration );
const params : v2.OpsgenieIntegrationApiUpdateOpsgenieAccountRequest = {
body : {
data : {
attributes : {
apiKey : "00000000-0000-0000-0000-000000000000" ,
region : "us" ,
},
id : "596da4af-0563-4097-90ff-07230c3f9db3" ,
type : "opsgenie-account" ,
},
},
accountId : "account_id" ,
};
apiInstance
. updateOpsgenieAccount ( params )
. then (( data : v2.OpsgenieAccountResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"